package com.ruoyi.learn.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生错题流水对象 learn_wrong_detail
 * 
 * @author ruoyi
 * @date 2025-09-25
 */
public class LearnWrongDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** wrong_detail_id */
    private Long wrongDetailId;

    /** 错题本id */
    @Excel(name = "错题本id")
    private Long wrongId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 来源 */
    @Excel(name = "来源")
    private String source;

    /** 学生id */
    @Excel(name = "学生id")
    private Long studentId;

    /** 科目 */
    @Excel(name = "科目")
    private Long subjectId;

    /** 知识点id */
    @Excel(name = "知识点id")
    private Long knownledgeId;

    /** 答卷id */
    @Excel(name = "答卷id")
    private Long examineeId;

    /** 试卷id */
    @Excel(name = "试卷id")
    private Long paperId;

    /** 总分 */
    @Excel(name = "总分")
    private Long scoreTotal;

    /** 评分 */
    @Excel(name = "评分")
    private Long score;

    /** 评级 */
    @Excel(name = "评级")
    private String scoreLevel;

    /** 得分率 */
    @Excel(name = "得分率")
    private Long scoreRate;

    public void setWrongDetailId(Long wrongDetailId) 
    {
        this.wrongDetailId = wrongDetailId;
    }

    public Long getWrongDetailId() 
    {
        return wrongDetailId;
    }

    public void setWrongId(Long wrongId) 
    {
        this.wrongId = wrongId;
    }

    public Long getWrongId() 
    {
        return wrongId;
    }

    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }

    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }

    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }

    public void setSubjectId(Long subjectId) 
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() 
    {
        return subjectId;
    }

    public void setKnownledgeId(Long knownledgeId) 
    {
        this.knownledgeId = knownledgeId;
    }

    public Long getKnownledgeId() 
    {
        return knownledgeId;
    }

    public void setExamineeId(Long examineeId) 
    {
        this.examineeId = examineeId;
    }

    public Long getExamineeId() 
    {
        return examineeId;
    }

    public void setPaperId(Long paperId) 
    {
        this.paperId = paperId;
    }

    public Long getPaperId() 
    {
        return paperId;
    }

    public void setScoreTotal(Long scoreTotal) 
    {
        this.scoreTotal = scoreTotal;
    }

    public Long getScoreTotal() 
    {
        return scoreTotal;
    }

    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }

    public void setScoreLevel(String scoreLevel) 
    {
        this.scoreLevel = scoreLevel;
    }

    public String getScoreLevel() 
    {
        return scoreLevel;
    }

    public void setScoreRate(Long scoreRate) 
    {
        this.scoreRate = scoreRate;
    }

    public Long getScoreRate() 
    {
        return scoreRate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("wrongDetailId", getWrongDetailId())
            .append("wrongId", getWrongId())
            .append("createdTime", getCreatedTime())
            .append("source", getSource())
            .append("studentId", getStudentId())
            .append("subjectId", getSubjectId())
            .append("knownledgeId", getKnownledgeId())
            .append("examineeId", getExamineeId())
            .append("paperId", getPaperId())
            .append("scoreTotal", getScoreTotal())
            .append("score", getScore())
            .append("scoreLevel", getScoreLevel())
            .append("scoreRate", getScoreRate())
            .toString();
    }
}
